gprocessor(1)

NAME
gprocessor - Gnash SWF Processor

Synopsis
gprocessor (options)... (file)...

DESCRIPTION
Gprocessor is a debugging tool for SWF files, a companion to Gnash. It is most often used for debugging and running testcases, as it is equivalant to running Gnash with no graphic output. This tool is primarily used by Gnash developers, or anyone who wishes to run the Gnash test cases.

-h  Print usage info.

-w  Write a .gsc file with preprocessed info, for each input file.

-vp Be verbose about movie parsing.

-va Be verbose about ActionScript.

-d [ms]
    Milliseconds delay between advances (0 by default). If '-1' the delay will be computed from the FPS.

-f [frames]
    Allow the given number of frame advancements. If 0, keep advancing until some other stop condition is encountered (default).

-r [times]
    Allow the given number of complete runs. If 0, keep looping indefinitely. Default is 1 (end as soon as the last frame is reached).